<?php
declare(strict_types=0);

function get_suge($docu,$sala)
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     $cong_codigo=$_SESSION['cong_codigo'];
          
     // solo lectura
     if($docu=='VM30')
     {
          $sql_suge ='select ';
          $sql_suge.='docu,max(fecha) as fecha,sala,nombre1 ';
          $sql_suge.='from jwib1 ';
          $sql_suge.='where ifnull(status,"")not in ("X") ';
          $sql_suge.='and length(trim(ifnull(nombre1,"")))>=5 ';
          $sql_suge.='and nombre1 not like "%ASAMBLEA%" ';
          $sql_suge.='and cong = "'.$cong_codigo.'" ';
          $sql_suge.='and docu like "VM30" ';
          $sql_suge.='and fecha>=curdate() -interval 9 month ';
          $sql_suge.='and sala = "'.$sala.'" ';
          $sql_suge.='group by nombre1 ';
          if($sala==0)
          {$sql_suge.='having count(nombre1)>=2 ';}
          $sql_suge.='order by fecha ';
          $res_suge=msql_query($sql_suge,$link_data);
     }
     
     // estudiantes avanzados
     if($docu=='VM34')
     {
          $sql_suge ='select ';
          $sql_suge.='docu,max(fecha) as fecha,sala,nombre1 ';
          $sql_suge.='from jwib1 ';
          $sql_suge.='left join jwol0 on fecha=jwol_fecha ';
          $sql_suge.='where ifnull(status,"")not in ("X") ';
          $sql_suge.='and length(trim(ifnull(nombre1,"")))>=5 ';
          $sql_suge.='and nombre1 not like "%ASAMBLEA%" ';
          $sql_suge.='and cong = "'.$cong_codigo.'" ';
          $sql_suge.='and docu like "VM3%" ';
          $sql_suge.='and docu not like "VM30" ';
          $sql_suge.='and fecha>=curdate() -interval 9 month ';
          $sql_suge.='and sala = "'.$sala.'" ';
          
          $sql_suge.='and ( ';
          $sql_suge.='   jwol_smm1 like "%. Haga%" ';
          $sql_suge.='or jwol_smm1 like "%. Explique%" ';
          
          $sql_suge.='or jwol_smm2 like "%. Haga%" ';
          $sql_suge.='or jwol_smm2 like "%. Explique%" ';
          
          $sql_suge.='or jwol_smm3 like "%. Haga%" ';
          $sql_suge.='or jwol_smm3 like "%. Explique%" ';
          
          $sql_suge.='or jwol_smm4 like "%. Haga%" ';
          $sql_suge.='or jwol_smm4 like "%. Explique%" ';
          
          $sql_suge.=')';
          
          
          $sql_suge.='group by nombre1 ';
          if($sala==0)
          {$sql_suge.='having count(nombre1)>=2 ';}
          $sql_suge.='order by fecha ';
          $res_suge=msql_query($sql_suge,$link_data);
          
//           echo '<br>=== '.$sql_suge;
     }
     
     
     // discurso varones
     if($docu=='VM35')
     {
          $sql_suge ='select ';
          $sql_suge.='docu,max(fecha) as fecha,sala,nombre1 ';
          $sql_suge.='from jwib1 ';
          $sql_suge.='left join jwol0 on fecha=jwol_fecha ';
          $sql_suge.='where ifnull(status,"")not in ("X") ';
          $sql_suge.='and length(trim(ifnull(nombre1,"")))>=5 ';
          $sql_suge.='and nombre1 not like "%ASAMBLEA%" ';
          $sql_suge.='and cong = "'.$cong_codigo.'" ';
          $sql_suge.='and docu like "VM3%" ';
          $sql_suge.='and docu not like "VM30" ';
          $sql_suge.='and fecha>=curdate() -interval 9 month ';
          $sql_suge.='and sala = "'.$sala.'" ';
          
          $sql_suge.='and ( ';
          $sql_suge.='   jwol_smm1 like "%. Discurso%" ';
          $sql_suge.='or jwol_smm2 like "%. Discurso%" ';
          $sql_suge.='or jwol_smm3 like "%. Discurso%" ';
          $sql_suge.='or jwol_smm4 like "%. Discurso%" ';
          $sql_suge.=')';
          
          
          $sql_suge.='group by nombre1 ';
          if($sala==0)
          {$sql_suge.='having count(nombre1)>=2 ';}
          $sql_suge.='order by fecha ';
          $res_suge=msql_query($sql_suge,$link_data);
          
//           echo '<br>=== '.$sql_suge;
     }
     
     // discurso varones sma
     if($docu=='VM36')
     {
          $sql_suge ='select ';
          $sql_suge.='docu,max(fecha) as fecha,sala,nombre1 ';
          $sql_suge.='from jwib1 ';
          $sql_suge.='left join jwol0 on fecha=jwol_fecha ';
          $sql_suge.='where ifnull(status,"")not in ("X") ';
          $sql_suge.='and length(trim(ifnull(nombre1,"")))>=5 ';
          $sql_suge.='and nombre1 not like "%ASAMBLEA%" ';
          $sql_suge.='and cong = "'.$cong_codigo.'" ';
          $sql_suge.='and docu like "VM3%" ';
          $sql_suge.='and docu not like "VM30" ';
          $sql_suge.='and fecha>=curdate() -interval 9 month ';
          $sql_suge.='and sala = "'.$sala.'" ';
          
          $sql_suge.='and ( ';
          $sql_suge.='   jwol_smm1 not like "%. Empiece%" ';
          $sql_suge.='and jwol_smm1 not like "%. Haga%" ';
          $sql_suge.='and jwol_smm1 not like "%. Explique%" ';
          
          $sql_suge.='and jwol_smm2 not like "%. Empiece%" ';
          $sql_suge.='and jwol_smm2 not like "%. Haga%" ';
          $sql_suge.='and jwol_smm2 not like "%. Explique%" ';
          
          $sql_suge.='and jwol_smm3 not like "%. Empiece%" ';
          $sql_suge.='and jwol_smm3 not like "%. Haga%" ';
          $sql_suge.='and jwol_smm3 not like "%. Explique%" ';
          
          $sql_suge.='and jwol_smm4 not like "%. Empiece%" ';
          $sql_suge.='and jwol_smm4 not like "%. Haga%" ';
          $sql_suge.='and jwol_smm4 not like "%. Explique%" ';
          
          $sql_suge.=')';
          
          
          $sql_suge.='group by nombre1 ';
          if($sala==0)
          {$sql_suge.='having count(nombre1)>=2 ';}
          $sql_suge.='order by fecha ';
          $res_suge=msql_query($sql_suge,$link_data);
          
//           echo '<br>=== '.$sql_suge;
     }

     
     
     // todos
     if($docu=='VM39')
     {
          $sql_suge ='select ';
          $sql_suge.='docu,max(fecha) as fecha,sala,nombre1 ';
          $sql_suge.='from jwib1 ';
          $sql_suge.='left join jwol0 on fecha=jwol_fecha ';
          $sql_suge.='where ifnull(status,"")not in ("X") ';
          $sql_suge.='and length(trim(ifnull(nombre1,"")))>=5 ';
          $sql_suge.='and nombre1 not like "%ASAMBLEA%" ';
          $sql_suge.='and cong = "'.$cong_codigo.'" ';
          $sql_suge.='and docu like "VM3%" ';
          $sql_suge.='and docu not like "VM30" ';
          $sql_suge.='and fecha>=curdate() -interval 9 month ';
          $sql_suge.='and sala = "'.$sala.'" ';
          
          $sql_suge.='and ( ';
          $sql_suge.='   jwol_smm1 like "%. Empiece%" ';
          $sql_suge.='or jwol_smm1 like "%. Haga%" ';
          $sql_suge.='or jwol_smm1 like "%. Explique%" ';
          
          $sql_suge.='or jwol_smm2 like "%. Empiece%" ';
          $sql_suge.='or jwol_smm2 like "%. Haga%" ';
          $sql_suge.='or jwol_smm2 like "%. Explique%" ';
          
          $sql_suge.='or jwol_smm3 like "%. Empiece%" ';
          $sql_suge.='or jwol_smm3 like "%. Haga%" ';
          $sql_suge.='or jwol_smm3 like "%. Explique%" ';
          
          $sql_suge.='or jwol_smm4 like "%. Empiece%" ';
          $sql_suge.='or jwol_smm4 like "%. Haga%" ';
          $sql_suge.='or jwol_smm4 like "%. Explique%" ';
          
          $sql_suge.=')';
          
          
          $sql_suge.='group by nombre1 ';
          if($sala==0)
          {$sql_suge.='having count(nombre1)>=2 ';}
          $sql_suge.='order by fecha ';
          $res_suge=msql_query($sql_suge,$link_data);
          
//           echo '<br>=== '.$sql_suge;
     }
     
     return $res_suge;
     
}


function gen_icsjw2($docu,$idnum,$fecha1,$fecha2)
{
     if($idnum==0){return;}
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     
     if(!empty($fecha1))
     {
          $idnum='';
          if(empty($fecha2)){$fecha2=date('Y-m-t',strtotime($fecha1));}
     }
     
     @mkdir('_doc');
     $ics_file='_doc/';
     $eol="\r\n";  
     
     $docu0=data_maes('docu',$docu);
     $tabla=$docu0['docu_tabla'];
     $tabla1=$tabla.'1';
//      $tabla2=$tabla.'2';
     
     $sql_icse='select *,';
     $sql_icse.='date_format(fecha,"%x-%v") as fsema ';
     $sql_icse.='from '.$tabla1.' ';
     $sql_icse.='left join docu0 on docu=docu_codigo ';
     $sql_icse.='left join cong0 on cong=cong_codigo ';
     if($tabla=='jwib')
     {
          $sql_icse.='left join jwol0 on fecha=jwol_fecha ';
          $sql_icse.='left join orat0 on orat=orat_codigo ';
     }
     if($tabla=='jwmc')
     {
          $sql_icse.='left join trty0 on trty=trty_codigo ';
     }
     $sql_icse.='where ifnull(status,"")not in("O","X") ';
     if(!empty($idnum))
     {$sql_icse.='and idnum1="'.$idnum.'" ';};
     
     if(!empty($fecha1))
     {$sql_icse.='and fecha1>="'.$fecha1.'" and fecha<="'.$fecha2.'" ';};
     $res_icse=msql_query($sql_icse,$link_data);
     
     $tx_tics='';
     $txt_ics.='BEGIN:VCALENDAR'.$eol;
     $txt_ics.='VERSION:2.0'.$eol;
     
     while($aso_icse=msql_fetch_assoc($res_icse))
     {
          $txt_ics.='BEGIN:VEVENT'.$eol;
          $txt_ics.='UID:'.$tabla.'-'.str_pad($aso_icse['idnum1'],9,'0',STR_PAD_LEFT).$eol;
          $txt_ics.='DTSTAMP:'.date('Ymd\THis\Z').$eol;
          if($tabla=='jwib')
          {
               $txt_ics.='DTSTART:'.$fechar.'T190000'.''.$eol;
               $txt_ics.='DTEND:'.$fechar.'T210000'.''.$eol;
          }
          if($tabla=='jwmc')
          {
               $txt_ics.='DTSTART:'.date('Ymd',strtotime($aso_icse['fecha'])).'T'.str_replace(':','',$aso_icse['hora']).'00Z'.$eol;
               $txt_ics.='DTEND:'.date('Ymd',strtotime($aso_icse['fecha'])).'T'.str_replace(':','',$aso_icse['hora']).'00Z'.$eol;
          }
          $txt_ics.='SUMMARY:'.$aso_icse['docu_descri'].$eol;
          
          $txt_ics.='DESCRIPTION:';
          $txt_ics.=$eol;
          
          $txt_ics.='LOCATION:';
          if($tabla=='jwib')
          {
               $txt_ics.='Cong. '.$aso_icse['cong_descri'];
               if($xorat!='')
               {$txt_ics.=' - Sala '.$aso_icse['sala'];}
          };
          if($tabla=='jwmc'){$txt_ics.='Lugar : '.$aso_icse['trty_sector'];};
          $txt_ics.=$eol;



          $txt_ics.='BEGIN:VALARM'.$eol;
          $txt_ics.='ACTION:DISPLAY'.$eol;
          $txt_ics.='DESCRIPTION:'.$aso_icse['docu_descri'].$eol;
          if($tabla=='jwib')
          {$txt_ics.='TRIGGER:-P1W'.$eol;}
          if($tabla=='jwmc')
          {$txt_ics.='TRIGGER:-P1D'.$eol;}
          //   $txt_ics.='TRIGGER;VALUE=DATE-TIME:'.$alarm.'T120000'.$eol;
          $txt_ics.='END:VALARM'.$eol;



          if(substr($docu,0,2)=='VM')
          {
               $txt_ics.='BEGIN:VALARM'.$eol;
               $txt_ics.='ACTION:DISPLAY'.$eol;
               $txt_ics.='DESCRIPTION:'.$summary.$eol;
               $txt_ics.='TRIGGER:-P2D'.$eol;
               //   $txt_ics.='TRIGGER;VALUE=DATE-TIME:'.$alarm.'T120000'.$eol;
               $txt_ics.='END:VALARM'.$eol;
          }

          
          
          if(substr($docu,0,2)=='AS')
          {
               $txt_ics.='BEGIN:VALARM'.$eol;
               $txt_ics.='ACTION:DISPLAY'.$eol;
               $txt_ics.='DESCRIPTION:'.$summary.$eol;
               $txt_ics.='TRIGGER:-PT2H'.$eol;
               //   $txt_ics.='TRIGGER;VALUE=DATE-TIME:'.$alarm.'T120000'.$eol;
               $txt_ics.='END:VALARM'.$eol;

               
          }

          //   BEGIN:VALARM
          // ACTION:AUDIO
          // TRIGGER:19980414T120000
          // ATTACH;FMTTYPE=audio/basic:http://example.com/pub/audio-
          //  files/ssbanner.aud
          // REPEAT:4
          // DURATION:PT1H
          // END:VALARM

          $txt_ics.='END:VEVENT'.$eol;
          //   $txt_ics.='END:VTODO'.$eol;
          
     }

     $txt_ics.='END:VCALENDAR'.$eol;

     
     
     
     
     
}

function gen_icsjw($idnum=0)
{
     if($idnum==0){return;}
//      if(empty($idnum)){return;}
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     
     @mkdir('_doc');
     $ics_file='_doc/';
     $eol="\r\n";  

     $sql_icse='select *,';
     $sql_icse.='date_format(fecha,"%x-%v") as fsema ';
     $sql_icse.='from jwib1 ';
     $sql_icse.='left join docu0 on docu=docu_codigo ';
     $sql_icse.='left join cong0 on cong=cong_codigo ';
     $sql_icse.='left join jwol0 on fecha=jwol_fecha ';
     $sql_icse.='left join orat0 on orat=orat_codigo ';
     $sql_icse.='where idnum1='.$idnum;
     $res_icse=msql_query($sql_icse,$link_data);
     
     $aso_icse=msql_fetch_assoc($res_icse);

     $docu_idnum=$aso_icse['docu'].'_'.str_pad($aso_icse['idnum1'],9,'0',STR_PAD_LEFT);
     
     unlink($ics_file.$docu_idnum.'.ics');
     if($aso_icse['fsema']<date('Y-W')){return;}
     if(strlen(trim($aso_icse['nombre1'].$aso_icse['nombre2'].$aso_icse['nombre3'].$aso_icse['nombre4']))<5){return;}
     
     if(substr($aso_icse['docu'],0,2)=='AS')
     {
          $nombre1=$aso_icse['nombre1'];
          $nombre2=$aso_icse['nombre2'];

          $fechar=$aso_icse['fechar'];
          $alarm=date('Ymd',strtotime('-1 day',strtotime($fechar)));
          $fechar=str_replace('-','',$fechar);

          $description='';
          $summary='';
          {$summary=$docudes;}

          $xrefn=0;
          $xref= 'https://jwib.vcrxol.com/?scri=jwib_asig2&info=ASEM&docu='.$aso_icse['docu'].'&cong='.$cong_codigo;
          
          
     }
     
     if(substr($aso_icse['docu'],0,2)=='VM')
     {
          if($aso_icse['docu']=='VM30'){$jwol_smm=$aso_icse['jwol_smm0'];} 
          if($aso_icse['docu']=='VM31'){$jwol_smm=$aso_icse['jwol_smm1'];} 
          if($aso_icse['docu']=='VM32'){$jwol_smm=$aso_icse['jwol_smm2'];} 
          if($aso_icse['docu']=='VM33'){$jwol_smm=$aso_icse['jwol_smm3'];} 

          $salades='PRINCIPAL';
          $sala=$aso_icse['sala'];
          if($sala>0){$salades=$sala;}

          $nombre1=$aso_icse['nombre1'];
          $nombre2=$aso_icse['nombre2'];
          $xorat=$aso_icse['orat'];

          $fechar=$aso_icse['fechar'];
          $alarm=date('Ymd',strtotime('-1 day',strtotime($fechar)));
          $fechar=str_replace('-','',$fechar);

          $referencia=$jwol_smm;
          $referencia=substr($referencia,strpos($referencia,'http'),1000);
          $referencia=substr($referencia,0,strpos($referencia,'">'));

          $description=$jwol_smm;
          $description=substr($description,strpos($description,'<strong>')+8,1000);
          $description=substr($description,0,strrpos($description,'</strong>'));

          $summary=$jwol_smm;
          $summary=substr($summary,strpos($summary,'<strong>')+8,1000);
          $summary=substr($summary,0,strrpos($summary,'</strong>'));

          if($summary==''){$summary=$docudes;}

          $xrefn=$xorat;
          if($xorat>=1){$xrefn=$xorat+1;}
          if($xorat>=34){$xrefn=$xorat+2;}
          if($xorat>=35){$xrefn=$xorat+3;}
          $xref= 'http://wol.jw.org/es/wol/d/r4/lp-s/110200'.(1068+$xrefn); 
          
     }
     
          
          
     $tx_tics='';
     $txt_ics.='BEGIN:VCALENDAR'.$eol;
     $txt_ics.='VERSION:2.0'.$eol;

     $txt_ics.='BEGIN:VEVENT'.$eol;
          $txt_ics.='UID:'.'jwib-'.str_pad($aso_icse['idnum1'],9,'0',STR_PAD_LEFT).$eol;
          $txt_ics.='DTSTAMP:'.date('Ymd\THis\Z').$eol;
          $txt_ics.='DTSTART:'.$fechar.'T190000'.''.$eol;
          $txt_ics.='DTEND:'.$fechar.'T210000'.''.$eol;
          $txt_ics.='SUMMARY:'.$summary.$eol;
     
     
          if(substr($aso_icse['docu'],0,2)=='AS')
          {
               $txt_ics.='DESCRIPTION:';
//                $txt_ics.=' - '.$nombre1.' / '.$nombre2;
               $txt_ics.=' === '.$aso_icse['docu_descri'].' === ';
               $txt_ics.=$nombre1.' / '.$nombre2;
               
               $txt_ics.=$eol;
               $txt_ics.='LOCATION: Cong. '.$aso_icse['cong_descri'].$eol;
               
               $txt_ics.='BEGIN:VALARM'.$eol;
                    $txt_ics.='ACTION:DISPLAY'.$eol;
                    $txt_ics.='DESCRIPTION:'.$summary.$eol;
                    $txt_ics.='TRIGGER:-P6D'.$eol;
               $txt_ics.='END:VALARM'.$eol;
               
          }               
               
               
          if(substr($aso_icse['docu'],0,2)=='VM')
          {
               $txt_ics.='DESCRIPTION:';
               $txt_ics.=' - '.$nombre1.' / '.$nombre2;

               if($xorat!='')
               {$txt_ics.=' - ORATORIA :'.$xorat.' / '.$xref;}

               $txt_ics.=' - '.'REF : '.$referencia;
               $txt_ics.=$eol;
               $txt_ics.='LOCATION: Cong. '.$aso_icse['cong_descri'].$eol;

               if($xorat!='')
               {$txt_ics.=' - Sala '.$salades.$eol;}
               
               $txt_ics.='BEGIN:VALARM'.$eol;
                    $txt_ics.='ACTION:DISPLAY'.$eol;
                    $txt_ics.='DESCRIPTION:'.$summary.$eol;
                    $txt_ics.='TRIGGER:-P1W'.$eol;
               $txt_ics.='END:VALARM'.$eol;

          }


          $txt_ics.='BEGIN:VALARM'.$eol;
               $txt_ics.='ACTION:DISPLAY'.$eol;
               $txt_ics.='DESCRIPTION:'.$summary.$eol;
               $txt_ics.='TRIGGER:-P2D'.$eol;
          $txt_ics.='END:VALARM'.$eol;

          $txt_ics.='BEGIN:VALARM'.$eol;
               $txt_ics.='ACTION:DISPLAY'.$eol;
               $txt_ics.='DESCRIPTION:'.$summary.$eol;
               $txt_ics.='TRIGGER:-PT24H'.$eol;
          $txt_ics.='END:VALARM'.$eol;

     $txt_ics.='END:VEVENT'.$eol;

     $txt_ics.='END:VCALENDAR'.$eol;

     
     
     file_put_contents($ics_file.$docu_idnum.'.ics',$txt_ics);

     
     
// BEGIN:VCALENDAR
// VERSION:2.0
// PRODID:-//Your Organization//Your Product//EN
// BEGIN:VEVENT
// UID:12345678
// DTSTAMP:20230525T120000Z
// DTSTART:20230526T150000Z
// DTEND:20230526T160000Z
// SUMMARY:Reunión de Proyecto Actualizada
// DESCRIPTION:Reunión para discutir el nuevo progreso del proyecto.
// LOCATION:Nueva Oficina
// END:VEVENT
// END:VCALENDAR     
     
     
     // BEGIN:VEVENT
     // DTSTART:20140925T090000
     // DTEND:20140925T100000
     // LOCATION:
     // DESCRIPTION:Purpose: Provide example of this file type Document file type: ICS Version: 1.0 Created by http://www.online-convert.com More example files: http://www.online-convert.com/file-type License: http://creativecommons.org/licenses Feel free to use & share the file according to the license above.
     // SUMMARY:ICS test file
     // PRIORITY:3
     // END:VEVENT
     // END:VCALENDAR

     // BEGIN:VCALENDAR
     // VERSION:2.0
     // PRODID:-//hacksw/handcal//NONSGML v1.0//EN
     // BEGIN:VEVENT
     // UID:uid1@example.com
     // DTSTAMP:19970714T170000Z
     // ORGANIZER;CN=John Doe:MAILTO:john.doe@example.com
     // DTSTART:19970714T170000Z
     // DTEND:19970715T035959Z
     // SUMMARY:Bastille Day Party
     // END:VEVENT
     // END:VCALENDAR
 
}

function crea_nomb0()
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     $fechanomb=date('Y-m-d',strtotime('-365 days'));
//           echo '=='.$fechanomb;
     $sql_nomb='drop view nomb0';
     $res_nomb=msql_query($sql_nomb,$link_data);

     $sql_nomb ='select ';
     $sql_nomb.='trim(nombreX) as nomb_codigo, ';
     $sql_nomb.='docu as nomb_descri, ';
//      $sql_nomb.='case when docu in("AS11","VM30","DPU1") or docu like "AS1%" then 1 else 0 end as nomb_varon,';
     $sql_nomb.='case when docu in("AS11","VM30","DPU1") or docu like "AS1%" or locate(" Discurso",concat(jwol_smm1,jwol_smm2,jwol_smm3,jwol_smm4)) or locate("con el auditorio",concat(jwol_smm1,jwol_smm2,jwol_smm3,jwol_smm4)) then 1 else 0 end as nomb_varon,';
     $sql_nomb.='docu_tipo as nomb_tipo,';
     $sql_nomb.='docu as nomb_docu,';
     $sql_nomb.='cong as nomb_cong, ';
     $sql_nomb.='iuser as nomb_iuser,';
     $sql_nomb.='fecha as nomb_idate,';
     $sql_nomb.='max(fecha) as nomb_lused,';
     $sql_nomb.='status as nomb_status, ';
     $sql_nomb.='count(nombreX) as nomb_cant, ';
     $sql_nomb.='nombreX as nomb_nombre ';
     $sql_nomb.='from tabla1X  ';
     $sql_nomb.='left join docu0 on docu=docu_codigo ';
     $sql_nomb.='left join jwol0 on fecha=jwol_fecha ';
     $sql_nomb.='where ifnull(nombreX,"")!="" ';
     $sql_nomb.='and length(trim(nombreX))>=5 ';
     $sql_nomb.='and left(trim(nombreX),1)*1=0 ';
     $sql_nomb.='and docu!="DPU2" ';
     $sql_nomb.='and fecha>=curdate() -interval 6 month ';
     $sql_nomb.='group by docu,nombreX ';
     
     $sql_nomb1=$sql_nomb;
     $sql_nomb1=str_replace('tabla1X','jwib1',$sql_nomb1);
     $sql_view ='create view nomb0 as ';
     $sql_view.=str_replace('nombreX','nombre1',$sql_nomb1); 
     $sql_view.='union '; 
     $sql_view.=str_replace('nombreX','nombre2',$sql_nomb1); 
     $sql_view.='union '; 
     $sql_view.=str_replace('nombreX','nombre3',$sql_nomb1); 
     $sql_view.='union '; 
     $sql_view.=str_replace('nombreX','nombre4',$sql_nomb1); 
     
     $sql_nomb1=$sql_nomb;
     $sql_nomb1=str_replace('tabla1X','jwmc1',$sql_nomb1);
     $sql_view.='union '; 
     $sql_view.=str_replace('nombreX','nombre1',$sql_nomb1); 
     $sql_view.='union '; 
     $sql_view.=str_replace('nombreX','nombre2',$sql_nomb1); 
     
     
     $res_view=msql_query($sql_view,$link_data);
     
}

function set_bsqj()
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
// 	if($tabla=='bsqj')	
	{	
		msql_query('delete from bsqj0',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("_DE","-","DISCURSO ESPECIAL")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("_VS","-","VISITA S.C.")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("_A1","-","ASAMBLEA DIA ESPECIAL")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("_AC","-","ASAMBLEA DE CIRCUITO")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("_AR","-","ASAMBLEA REGIONAL")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("000","-","-")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("001","¿Conoce bien a Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("002","¿Sobreviviremos a los últimos días?","")',$link_data);
// 		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("003","Avancemos con la organización unida de Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("003","Avancemos con la Organización Unida de Dios","")',$link_data);

          msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("004","El mundo que nos rodea prueba que Dios existe","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("005","Ayuda práctica para las familias","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("006","Qué aprendemos del diluvio universal","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("007","Imitemos al \"Padre de Tiernas Misericordias\"","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("008","Vivamos para hacer la voluntad de Dios, no la nuestra","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("009","Escuchemos y pongamos en práctica la palabra de Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("010","Seamos honrados en todo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("011","Imitemos a Jesús, y no seamos parte del mundo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("012","A Dios le importa cómo vemos la autoridad","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("013","¿Cómo ve Dios el sexo y el matrimonio?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("014","Un pueblo limpio da gloria a Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("015","Hagamos el bien a todos","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("016","Fortalezcamos nuestra amistad con Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("017","Demos gloria a dios con todo lo que tenemos","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("018","Haga de Jehová su “fortaleza”","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("019","Cómo puede usted conocer su futuro","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("020","¿Ha llegado el tiempo para que Dios gobierne el mundo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("021","Valoremos nuestro lugar en el Reino de Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("022","¿Aprovecha usted todas las joyas espirituales que Jehová nos da?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("023","La vida tiene propósito","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("024","¿Ha encontrado usted “una perla muy valiosa”?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("025","Luchemos contra el espíritu del mundo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("026","¿Lo considera Dios a usted personalmente importante?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("027","Como iniciar bien el matrimonio","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("028","Muestre respeto y amor en su matrimonio","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("029","Las responsabilidades y recompensas que tienen los padres","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("030","Cómo mejorar la comunicación en la familia","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("031","¿Estamos al tanto de nuestras necesidades espirituales?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("032","Como enfrentarse a las inquietudes de la vida","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("033","¿Habrá algún día justicia para todos?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("034","¿Está usted “marcado” para sobrevivir?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("035","¿Se puede vivir para siempre? ¿Lo logrará usted?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("036","¿Es esta vida todo lo que podemos esperar?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("037","¿Por qué andar en el camino de Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("038","¿Cómo puede usted sobrevivir al fin del mundo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("039","¡Seguros de la victoria divina!","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("040","Lo que encierra el futuro cercano","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("041","“Estense quietos y vean cómo los salva Jehová”","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("042","Como le afecta a usted el Reino de Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("043","Lo que Dios espera de nosotros siempre nos beneficia","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("044","¿Cómo le benefician a usted las enseñanzas de Jehová?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("045","Sigamos el camino que lleva a la vida","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("046","Mantengamos nuestra confianza fuerte hasta el fin","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("047","‘Tenga fe en las buenas nuevas’","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("048","Cómo ser leales ante las pruebas","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("049","¿Viviremos algún día en una Tierra limpia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("050","Cómo tomar buenas decisiones","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("051","¿Está la verdad transformando su vida?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("052","¿Quién es su Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("053","¿Piensa usted igual que Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("054","Tenga fe en Dios y sus promesas","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("055","¿Cómo puede ganarse una buena reputación ante Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("056","¿En qué líder podemos confiar?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("057","Aguantemos la persecución","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("058","¿Quiéns son los verdaderos seguidores de Cristo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("059","Se siega lo que se siembra","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("060","¿Qué propósito tiene su vida?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("061","¿En las promesas de quién confía usted?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("062","El único remedio para la humanidad enferma","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("063","¿Tiene usted espíritu evangelizador?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("064","¿Amamos los placeres en vez de a Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("065","¿Cómo podemos ser pacíficos en un mundo violento","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("066","¿Será usted un buen trabajador en la cosecha?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("067","Medite en la Palabra de Jehová y en su creación","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("068","¿Guarda usted rencor o perdona?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("069","¿Por qué es importante mostrar amor desinteresado?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("070","Cifre su confianza en Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("071","Ahora es el momento de estar despiertos","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("072","El amor identifica a la religión verdadera","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("073","Adquiera un corazón de sabiduría","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("074","Los ojos de Jehová están sobre nosotros","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("075","¿Reconoce usted la soberanía de Jehová  en su vida personal?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("076","¿Pueden los principios bíblicos ayudarnos a afrontar los problemas de nuestro tiempo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("077","Siga la senda de la hospitalidad","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("078","Sirva a Jehová con corazón gozoso","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("079","La amistad con Dios o la amistad con el mundo: ¿cual escogerá usted?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("080","¿Cifra usted su esperanza en la ciencia, o en la Biblia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("081","¿Quiénes llenan los requisitos para ser ministros de Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("082","Jehová y Cristo: ¿son ellos parte de una trinidad?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("083","El tiempo de juicio para la religión","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("084","¿Escapará usted de lo que le espera a este mundo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("085","Buenas nuevas en un mundo violento","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("086","Las oraciones que Dios escucha","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("087","¿Qué relación tiene usted con Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("088","¿Por qué regir su vida por las normas bíblicas?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("089","¡Venga, el que tenga sed de la verdad!","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("090","¡Esfuércese por conseguir la vida que realmente es vida!","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("091","La presencia y la gobernación del Mesías","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("092","El papel de la religión en los asuntos del mundo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("093","¿Es Dios el causante de los desastres naturales?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("094","La religión verdadera satisface las necesidades  de la sociedad humana","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("095","La Biblia ante las practicas espiritistas","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("096","¿Cuál es el futuro de la religión?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("097","Permanezcamos sin culpa en medio de una generación torcida","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("098","\"La escena de este mundo está cambiado\"","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("099","Por qué se puede confiar en la Biblia","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("100","Haga amistades que duren para siempre","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("101","Jehová, el Magnifico Creador","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("102","Prestemos atención a la Palabra profética","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("103","Usted puede experimentar gozo al servir a Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("104","Padres, ¿están edificando con materiales incombustibles?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("105","Como obtener consuelo en toda tribulación","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("106","Dios dará su merecido a los que arruinan la Tierra","")',$link_data);	
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("107","Mantengamos una buena conciencia en un mundo pecador","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("108","Superemos el temor al futuro","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("109","El Reino de Dios esta cerca","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("110","La familia feliz es la que pone a Dios en primer lugar","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("111","¿Qué logra la curación de las naciones?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("112","Como mostrar amor en un mundo desaforado","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("113","Joven, ¿cómo puedes ser feliz y tener éxito?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("114","Aprecie las maravillas de la creación de Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("115","Como protegernos de las trampas de Satanás","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("116","Sea sabio al elegir sus compañías","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("117","Como vencer el mal con el bien","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("118","Veamos a los jóvenes como los ve Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("119","Por qué es provechoso que los cristianos se mantengan separados del mundo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("120","Razones para someterse hoy al gobierno de Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("121","Una hermandad mundial rescatada de la calamidad","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("122","¿De qué fuente vendrá la paz mundial?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("123","Por qué deben ser diferentes los cristianos","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("124","Razones para confiar en el origen divino de la Biblia","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("125","Por qué necesita la humanidad un rescate","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("126","¿Quién puede ser salvo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("127","¿Qué nos sucede cuando morimos?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("128","¿Es el infierno realmente un lugar de tormento?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("129","¿Es la Trinidad una enseñanza bíblica?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("130","La Tierra existirá para siempre","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("131","¿De verdad existe el Diablo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("132","La resurrección: una victoria sobre la muerte","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("133","¿Importa lo que creemos sobre el origen de los seres humanos?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("134","¿Deben guardar los cristianos un día de descanso?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("135","La santidad de la vida y la sangre","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("136","¿Aprueba Dios las imágenes en la adoración?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("137","¿De verdad tuvieron lugar los milagros de la Biblia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("138","Vivamos con buen juicio en un mundo perverso","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("139","Sabiduría piadosa en un mundo de orientación científica","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("140","¿Quién es Jesucristo en realidad?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("141","¿Cuándo dejar a de gemir la creación humana?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("142","Por qué refugiarse en Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("143","Confiemos en el Dios de todo consuelo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("144","Una congregación leal bajo la dirección de Cristo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("145","¿Quién es como Jehová nuestro Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("146","Utilice la educación para alabar a Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("147","Confíe en el poder salvador de Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("148","¿Ve usted la vida como la ve Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("149","¿Anda usted con Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("150","¿Está este mundo condenado a la destrucción?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("151","Jehová es “una altura segura” para su pueblo","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("152","¿Cuándo y por qué vendrá el verdadero Armagedón?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("153","Estemos muy pendientes del “impresionante día de Jehová”","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("154","El gobierno del hombre, pesado en la balanza","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("155","¿Ha llegado la hora del juicio de Babilonia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("156","¿Es el Día del Juicio un tiempo de temor, o de esperanza?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("157","Como adornan los cristianos la enseñanza divina","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("158","Seamos valerosos y confiemos en Jehová","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("159","Como encontrar seguridad en un mundo peligroso","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("160","Protejamos nuestra identidad cristiana","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("161","¿Por qué sufrió y murió Jesús?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("162","Liberados de un mundo de oscuridad","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("163","¿Por qué temer al Dios verdadero?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("164","¿Sigue Dios ejerciendo la soberanía sobre la Tierra?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("165","¿A qué valores concedemos m as importancia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("166","Afrontemos el futuro con fe y valor","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("167","Actuemos con sabiduría en este mundo insensato","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("168","Como sentirse seguro en este mundo turbulento","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("169","¿Por qué debemos guiarnos por la Biblia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("170","¿Quién es el único que puede gobernar bien a la humanidad?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("171","Usted puede disfrutar de la vida en paz ahora y para siempre","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("172","¿Qué posición tenemos ante Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("173","¿Le importa a Dios que religión tengamos?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("174","¿Quién será digno de entrar en el nuevo mundo de Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("175","¿Qué pruebas demuestran la autenticidad de la Biblia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("176","¿Cuándo tendremos verdadera paz y seguridad?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("177","¿A quién podemos acudir en tiempos de angustia?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("178","Andemos en el camino de la integridad","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("179","Rechace las fantasías mundanales; busque las realidades  del Reino","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("180","¿Por qué debe ser real para nosotros la esperanza  de la resurrección?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("181","¿Faltará menos de lo que usted cree?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("182","¿Qué está haciendo por nosotros el Reino de Dios?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("183","Alejemos la mirada de lo que es inútil","")',$link_data);		
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("184","Es la muerte el final de todo?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("185","Influye la verdad en su vida?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("186","Unidos al Feliz Pueblo de Dios","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("187","¿Cómo es posible que un Dios de amor permita lamaldad?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("188","¿Ha depositado su confianza en Jehová?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("189","Andar con Dios nos beneficia ahora y para siempre","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("190","Una familia unida y feliz para siempre","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("191","Cómo vencen al mundo la fe y el amor","")',$link_data);		
          msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("192","¿Anda usted por el camino que lleva a la vida eterna?","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("193","Pronto se nos librará de la angustia mundial","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("194","Cómo nos beneficia la sabiduría Divina","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("195","","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("196","","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("197","","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("198","","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("199","","")',$link_data);
		msql_query('insert into bsqj0(bsqj_codigo,bsqj_descri,bsqj_tema) value("200","","")',$link_data);

          
msql_query('update bsqj0 set bsqj_tema="BIBLIA / DIOS" where bsqj_codigo in(4,37,54,76,80,88,99,100,101,114,124,133,137,139,145,164,169,175,187)',$link_data);
msql_query('update bsqj0 set bsqj_tema="EVANGELIZACION / MINISTERIO" where bsqj_codigo in(17,63,66,81)',$link_data);
msql_query('update bsqj0 set bsqj_tema="FAMILIA / JOVENES" where bsqj_codigo in(5,13,27,28,29,30,104,110,113,118,146,190)',$link_data);
msql_query('update bsqj0 set bsqj_tema="FE / ESPIRITUALIDAD" where bsqj_codigo in(1,9,16,18,22,31,39,46,67,70,71,74,87,142,147,149,151,158,159,166,168,172,188,189,192)',$link_data);
msql_query('update bsqj0 set bsqj_tema="NO SER PARTE DEL MUNDO" where bsqj_codigo in(11,33,51,53,59,64,79,97,107,115,116,119,123,131,138,160,167,178,179,183,191)',$link_data);
msql_query('update bsqj0 set bsqj_tema="NORMAS Y CUALIDADES CRISTIANAS" where bsqj_codigo in(7,10,12,14,15,48,68,69,72,77,78,103,112,144,148,157,165,171,185)',$link_data);
msql_query('update bsqj0 set bsqj_tema="PRUEBAS / PROBLEMAS" where bsqj_codigo in(32,50,57,65,73,105,117,141,143,177,184,186,194)',$link_data);
msql_query('update bsqj0 set bsqj_tema="REINO / PARAISO" where bsqj_codigo in(19,21,23,24,35,42,44,49,60,61,62,75,85,90,91,109,111,120,122,130,132,154,162,170,174,180,182)',$link_data);
msql_query('update bsqj0 set bsqj_tema="RELIGION / ADORACION" where bsqj_codigo in(3,8,36,43,45,52,55,56,58,82,83,86,89,92,94,95,96,125,126,127,128,129,134,135,140,155,161,163,173)',$link_data);
msql_query('update bsqj0 set bsqj_tema="ULTIMOS DIAS / JUICIO DE DIOS" where bsqj_codigo in(2,6,20,38,41,84,93,98,102,106,108,121,150,152,153,156,176,181,193)',$link_data);
          
          
          
	}

     
     
     
}

function set_jwmc1($docu='MDC', $nombreX='nombre1')
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}

     
     $fecha0=date('Y-m-01');
     $sql_jwmc='select *,date_format(fecha,"%w") as dia_n from jwmc1 ';
     $sql_jwmc.='where ifnull(status,"")not in ("O","X") ';
     $sql_jwmc.='and fecha>="'.$fecha0.'" ';
     $sql_jwmc.='and docu like "'.$docu.'%" ';
     $sql_jwmc.='and (length(trim(ifnull(nombre1,"")))<=3 or length(trim(ifnull(nombre2,"")))<=3) ';
     $sql_jwmc.='order by fecha ';
     $res_jwmc=msql_query($sql_jwmc,$link_data);
     
     
     
//                echo '<br>*/*/*/* '.$sql_jwmc;
     
//      if(1==2)
     while($asoc_jwmc=msql_fetch_assoc($res_jwmc))
     {
//           $nombreX='nombre1';
//           if($asoc_jwmc[$nombreX]=='++' or empty($asoc_jwmc[$nombreX]))
          if($asoc_jwmc[$nombreX]=='++')
          {
               $sql_mdc0='select * from jwmc1 ';
               $sql_mdc0.='where ifnull(status,"")not in ("O","X") ';
               $sql_mdc0.='and fecha<"'.$asoc_jwmc['fecha'].'" ';
               $sql_mdc0.='and docu like "'.$asoc_jwmc['docu'].'" ';
//                if($docu=='MDC5')
               if($asoc_jwmc['docu']=='MDC5')
               {$sql_mdc0.='and trty like "'.$asoc_jwmc['trty'].'" ';}
               $sql_mdc0.='and length(trim(ifnull('.$nombreX.',"")))>3 ';
               $sql_mdc0.='and date_format(fecha,"%w")="'.$asoc_jwmc['dia_n'].'" ';
               $sql_mdc0.='order by fecha desc ';
               $sql_mdc0.='limit 1 ';
               $res_mdc0=msql_query($sql_mdc0,$link_data);
               
               $xnombre=msql_result($res_mdc0,0,$nombreX);
               
               $sql_updt='update jwmc1 set '.$nombreX.'="'.$xnombre.'" where idnum1="'.$asoc_jwmc['idnum1'].'"';
               $res_updt=msql_query($sql_updt,$link_data);
          }
          
          
          
     }
     
     
          
}

function gen_ndpto($cong,$trty,$bloq)
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     
//      $sql_rvst='select * from jwrv1 ';
     $sql_rvst='select *, count(ndpto)as cndpto from jwrv1 ';
     $sql_rvst.='where ifnull(status,"")not in("O","X") ';
     $sql_rvst.='and cong="'.$cong.'" and trty="'.$trty.'" and bloq="'.$bloq.'" ';
     $sql_rvst.='group by ndpto ';
     $sql_rvst.='order by (ndpto*1) desc ';
     $sql_rvst.='limit 1 ';
     $res_rvst=msql_query($sql_rvst,$link_data);
     
//      echo '<br>==='.$sql_rvst;
     
     $newndpto=[];
     $conndpto=msql_result($res_rvst,0,'cndpto');
     $maxndpto=msql_result($res_rvst,0,'ndpto');
     $maxndpto=floor($maxndpto);
     
     if($conndpto==1)
     {$maxndpto=ceil($maxndpto/10)*10;}
     
     if($maxndpto<=50)
     {
          for($xid=1; $xid<=$maxndpto; $xid++)
          {
               $sql_dpto='select * from jwrv1 ';
               $sql_dpto.='where ifnull(status,"")not in("O","X") ';
               $sql_dpto.='and cong="'.$cong.'" and trty="'.$trty.'" and bloq="'.$bloq.'" ';
//                $sql_dpto.='and ndpto="'.$xid.'" ';
               $sql_dpto.='and floor(ndpto*1)="'.$xid.'" ';
               $sql_dpto.='and visita!="PV" ';
               $sql_dpto.='limit 1';
               $res_dpto=msql_query($sql_dpto,$link_data);
               if(msql_num_rows($res_dpto)==0)
               {
//                     echo '<br>==> '.$bloq.' - '.$xid.'-->'.$maxndpto;
//                     echo '<br>==> '.$sql_dpto;
                    $newndpto[]=$xid;
               }
          }
     }
//      echo '<br><br>';
//      var_dump2($newndpto);
     
     return $newndpto;
}

?>